Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.jdbc
Interface JdbcBeanInterface

All Known Implementing Classes:
  JdbcBeanAdapter

public interface JdbcBeanInterface

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Add a PropertyChangeListener to the listener list.
`JdbcBeanInterface` | `getDefault()`
`java.lang.String` | `getJdbcDriver()` Get the JDBC driver
`java.lang.String` | `getJdbcPassword()` Get the password property
`java.lang.String` | `getJdbcTable()` Return the name of the SQL table
`java.lang.String` | `getJdbcURI()` Get the Jdbc URI
`java.lang.String` | `getJdbcUser()` get the Jdbc username property
`int` | `getMaxConn()` Get the max number os simultaneous Jdbc connections
`boolean` | `getReadOnly()` Is this table read-only? (default is false)
`JdbcBeanSerializer` | `getSerializer()` Get our SQL serializer
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Remove a PropertyChangeListener to the listener list.
`void` | `setJdbcDriver(java.lang.String jdbcDriver)` Set the JDBC driver
`void` | `setJdbcPassword(java.lang.String jdbcPassword)` Set the password property
`void` | `setJdbcTable(java.lang.String jdbcTable)` Set the name of the SQL table
`void` | `setJdbcURI(java.lang.String jdbcURI)` Set the Jdbc URI
`void` | `setJdbcUser(java.lang.String JdbcUser)` Set the Jdbc username property
`void` | `setMaxConn(int maxConn)` Set the max number os simultaneous Jdbc connections
`void` | `setReadOnly(boolean readonly)` Set the read-only flag

Method Detail

### setJdbcDriver

    public void setJdbcDriver(java.lang.String jdbcDriver)

  Set the JDBC driver

  Parameters:
    `jdbcDriver` - the jdbc driver

### getJdbcDriver

    public java.lang.String getJdbcDriver()

  Get the JDBC driver

  Returns:
    the jdbc driver

### setJdbcUser

    public void setJdbcUser(java.lang.String JdbcUser)

  Set the Jdbc username property

### getJdbcUser

    public java.lang.String getJdbcUser()

  get the Jdbc username property

  Returns:
    the Jdbc username property

### setJdbcPassword

    public void setJdbcPassword(java.lang.String jdbcPassword)

  Set the password property

  Parameters:
    `jdbcPassword` - the password

### getJdbcPassword

    public java.lang.String getJdbcPassword()

  Get the password property

  Returns:
    the Jdbc password

### setJdbcURI

    public void setJdbcURI(java.lang.String jdbcURI)

  Set the Jdbc URI

  Parameters:
    `jdbcURI` - the URI (ie: jdbc:protocol://host/db)

### getJdbcURI

    public java.lang.String getJdbcURI()

  Get the Jdbc URI

  Returns:
    the URI (ie: jdbc:protocol://host/db)

### setMaxConn

    public void setMaxConn(int maxConn)

  Set the max number os simultaneous Jdbc connections

  Parameters:
    `maxConn` - the max number of connections

### getMaxConn

    public int getMaxConn()

  Get the max number os simultaneous Jdbc connections

  Returns:
    the max number of connections

### setJdbcTable

    public void setJdbcTable(java.lang.String jdbcTable)

  Set the name of the SQL table

  Parameters:
    `jdbcTable` - the SQL table name

### getJdbcTable

    public java.lang.String getJdbcTable()

  Return the name of the SQL table

  Returns:
    the SQL table name

### setReadOnly

    public void setReadOnly(boolean readonly)

  Set the read-only flag

  Parameters:
    `readonly` -

### getReadOnly

    public boolean getReadOnly()

  Is this table read-only? (default is false)

  Returns:
    a boolean

### getDefault

    public JdbcBeanInterface getDefault()

### getSerializer

    public JdbcBeanSerializer getSerializer()

  Get our SQL serializer

  Returns:
    a JdbcBeanSerializer instance

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Add a PropertyChangeListener to the listener list. The listener is registered for all properties.

  Parameters:
    `listener` - The PropertyChangeListener to be added

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Remove a PropertyChangeListener to the listener list.

  Parameters:
    `listener` - The PropertyChangeListener to be removed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD